Index: other-projects/trunk/gs3-release-maker/build.properties
===================================================================
--- other-projects/trunk/gs3-release-maker/build.properties	(revision 14678)
+++ other-projects/trunk/gs3-release-maker/build.properties	(revision 14760)
@@ -1,16 +1,14 @@
 #version stuff
-version:3.03
+version:3.03a
 #implied: version.major=3
-version.minor=03
+version.minor=03a
 
 
 #where to store data
-release.dir:/research/oranfry/releases/3.03
-mac.release.dir:/Users/oranfry/releases/3.03
-windows.release.dir:c:\\research\\oranfry\\releases\\3.03
+release.dir:/research/oranfry/releases/3.03a
+mac.release.dir:/Users/oranfry/releases/3.03a
+windows.release.dir:c:\\research\\oranfry\\releases\\3.03a
 
 
 #ssh
 username:oranfry
-
-
Index: other-projects/trunk/gs3-release-maker/build.xml
===================================================================
--- other-projects/trunk/gs3-release-maker/build.xml	(revision 14678)
+++ other-projects/trunk/gs3-release-maker/build.xml	(revision 14760)
@@ -185,4 +185,5 @@
 		<!-- check branches exist -->
 		<property name="svn.greenstone3" value="${svn.root}/greenstone3/${branch.path}"/>
+		<property name="svn.gsdl" value="${svn.root}/gsdl/${branch.path}"/>
 		<property name="svn.gli" value="${svn.root}/gli/${branch.path}"/>
 		<property name="svn.indexers" value="${svn.root}/indexers/${branch.path}"/>
@@ -208,4 +209,21 @@
 		</if>
 
+		<!-- greenstone3 branch -->
+		<echo level="info">Checking that ${svn.gsdl} exists...</echo>
+		<setloglevel level="error"/>
+		<try>
+			<get src="${svn.gsdl}" dest="${temp.file}"/>
+			<catch>
+				<echo level="error">No, it does not exist</echo>
+				<property name="svn.gsdl.unavailable" value="true"/>
+			</catch>
+		</try>
+		<setloglevel level="info"/>
+		<if>
+			<bool><not><istrue value="${svn.gsdl.unavailable}"/></not></bool>
+			<echo level="info">Yes, it exists</echo>
+		</if>
+
+
 		<!-- gli branch -->
 		<echo level="info">Checking that ${svn.gli} exists...</echo>
@@ -272,4 +290,5 @@
 				<or>
 					<istrue value="${svn.greenstone3.unavailable}"/>
+					<istrue value="${svn.gsdl.unavailable}"/>
 					<istrue value="${svn.gli.unavailable}"/>
 					<istrue value="${svn.indexers.unavailable}"/>
@@ -412,4 +431,5 @@
 		<!-- create distribution -->
 		<addressedcall target="export-greenstone3" />
+		<addressedcall target="dist-set-version-number-property" />
 		<addressedcall target="create-distributions-1" />
 		<addressedcall target="create-distributions-2" />
@@ -423,4 +443,5 @@
 		<!-- create distribution -->
 		<addressedcall target="source-export-greenstone3" />
+		<addressedcall target="source-set-version-number-property" />
 		<addressedcall target="source-create-distribution" />
 		<addressedcall target="source-copy-over-build-xml" />
@@ -436,7 +457,6 @@
 		<if><bool><istrue value="${execute}"/></bool>
 
-			<copy overwrite="true" todir="${release.dir}/installer">
-				<fileset dir="/home/nzdl/for-distributions/installers"><include name="greenstone3/**"/></fileset>
-			</copy>
+			<delete dir="${release.dir}/installer"/>
+			<exec executable="cp"><arg line="-r /home/nzdl/for-distributions/installers/greenstone3 ${release.dir}/installer"/></exec>
 
 			<!-- Edit the <installer-dir>/greenstone3/Greenstone3 Digital Library Software.uip file and change any absolute paths as needed. Make sure you change all paths. -->
@@ -444,5 +464,5 @@
 			<rsr file="${release.dir}/installer/greenstone3/Greenstone3 Digital Library Software.uip" pattern="@release\.dir@" replacement="${release.dir}" />
 			<rsr file="${release.dir}/installer/greenstone3/Greenstone3 Digital Library Software.uip" pattern="@version\.minor@" replacement="${version.minor}" />
-
+			<rsr file="/home/nzdl/installshieldX/alias.properties" pattern="(GSDL3_DISTRIBUTION_SOURCE)=.*" replacement="$1=${release.dir}/dist/greenstone3" />
 			<if>
 				<bool><equals arg1="${version}" arg2="trunk"/></bool>
@@ -487,8 +507,8 @@
 			<delete dir="${release.dir}/gs3-${version}-release" />
 			<mkdir dir="${release.dir}/gs3-${version}-release" />
-			<copy file="${release.dir}/installer/greenstone3/linux-distribution/disk1/setupLinux.bin" tofile="${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-linux.bin" />
-			<copy file="${release.dir}/installer/greenstone3/macOSx-distribution/disk1/setupMac.command" tofile="${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-macOSx.command" />
-			<copy file="${release.dir}/installer/greenstone3/windows-distribution/disk1/setupwin32.exe" tofile="${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-win32.exe" />
-			<copy file="${release.dir}/source-dist/greenstone-3.${version.minor}-src.tar.gz" todir="${release.dir}/gs3-${version}-release" />
+			<exec executable="cp"><arg line="${release.dir}/installer/greenstone3/linux-distribution/disk1/setupLinux.bin ${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-linux.bin"/></exec>
+			<exec executable="cp"><arg line="${release.dir}/installer/greenstone3/macOSx-distribution/disk1/setupMac.command ${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-macOSx.command"/></exec>
+			<exec executable="cp"><arg line="${release.dir}/installer/greenstone3/windows-distribution/disk1/setupwin32.exe ${release.dir}/gs3-${version}-release/greenstone-3.${version.minor}-win32.exe"/></exec>
+			<exec executable="cp"><arg line="${release.dir}/source-dist/greenstone-3.${version.minor}-src.tar.gz ${release.dir}/gs3-${version}-release"/></exec>
 		</if>
 	</target>
@@ -510,4 +530,5 @@
 		<!-- preparation -->
 		<addressedcall target="checkout-greenstone3" />
+		<addressedcall target="set-version-number-property" />
 		<addressedcall target="dist-prepare-unix" />
 		<addressedcall target="tweak-configure-scripts" />
@@ -567,4 +588,6 @@
 	</target>
 
+
+
 	<!-- third level targets -->
 	<target name="checkout-greenstone3">
@@ -573,4 +596,10 @@
 			<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="${release.dir}/greenstone3"/>
 		</svn>
+		</if>
+	</target>
+
+	<target name="set-version-number-property">
+		<if><bool><istrue value="${execute}"/></bool>
+			<rsr file="${release.dir}/greenstone3/resources/java/global.properties.in" pattern="@gsdl3version@" replacement="${version}" />
 		</if>
 	</target>
@@ -751,4 +780,10 @@
 	</target>
 
+	<target name="dist-set-version-number-property">
+		<if><bool><istrue value="${execute}"/></bool>
+			<rsr file="${release.dir}/dist/greenstone3/resources/java/global.properties.in" pattern="@gsdl3version@" replacement="${version}" />
+		</if>
+	</target>
+
 	<target name="create-distributions-1">
 		<if><bool><istrue value="${execute}"/></bool>
@@ -785,29 +820,26 @@
 
 			<!-- windows -->
-			<copy todir="${release.dir}/dist/greenstone3/Windows/lib/jni">
-				<fileset dir="${release.dir}/other-platforms/win-lib-jni" />
-			</copy>
-			<copy todir="${release.dir}/dist/greenstone3/gs2build/Windows/bin/windows">
-				<fileset dir="${release.dir}/other-platforms/win-gs2build-bin-windows" />
-			</copy>
+			<mkdir dir="${release.dir}/dist/greenstone3/Windows/lib/jni"/>
+			<exec executable="cp"><arg line="${release.dir}/other-platforms/win-lib-jni/* ${release.dir}/dist/greenstone3/Windows/lib/jni"/></exec>
+
+			<mkdir dir="${release.dir}/dist/greenstone3/gs2build/Windows/bin/windows"/>
+			<exec executable="cp"><arg line="${release.dir}/other-platforms/win-gs2build-bin-windows/* ${release.dir}/dist/greenstone3/gs2build/Windows/bin/windows"/></exec>
 
 			<!-- mac -->
-			<copy todir="${release.dir}/dist/greenstone3/gs2build/Unix/bin/darwin">
-				<fileset dir="${release.dir}/other-platforms/mac-gs2build-bin-darwin" />
-			</copy>
-			<copy todir="${release.dir}/dist/greenstone3/Darwin/lib/jni">
-				<fileset dir="${release.dir}/other-platforms/mac-lib-jni" />
-			</copy>
+			<mkdir dir="${release.dir}/dist/greenstone3/Darwin/lib/jni"/>
+			<exec executable="cp"><arg line="${release.dir}/other-platforms/mac-lib-jni/* ${release.dir}/dist/greenstone3/Darwin/lib/jni"/></exec>
+
+			<mkdir dir="${release.dir}/dist/greenstone3/gs2build/Unix/bin/darwin"/>
+			<exec executable="cp"><arg line="${release.dir}/other-platforms/mac-gs2build-bin-darwin/* ${release.dir}/dist/greenstone3/gs2build/Unix/bin/darwin"/></exec>
 
 			<!-- linux -->
-			<copy todir="${release.dir}/dist/greenstone3/Linux/lib/jni">
-				<fileset dir="${release.dir}/greenstone3/lib/jni" />
-			</copy>
-			<copy todir="${release.dir}/dist/greenstone3/gs2build/Unix/bin/linux">
-				<fileset dir="${release.dir}/greenstone3/gs2build/bin/linux" />
-			</copy>
-			<copy todir="${release.dir}/dist/greenstone3/gs2build/bin/java">
-				<fileset dir="${release.dir}/greenstone3/gs2build/bin/java" />
-			</copy>
+			<mkdir dir="${release.dir}/dist/greenstone3/Linux/lib/jni"/>
+			<exec executable="cp"><arg line="${release.dir}/greenstone3/lib/jni/* ${release.dir}/dist/greenstone3/Linux/lib/jni"/></exec>
+
+			<mkdir dir="${release.dir}/dist/greenstone3/gs2build/Unix/bin/linux"/>
+			<exec executable="cp"><arg line="${release.dir}/greenstone3/gs2build/bin/linux/* ${release.dir}/dist/greenstone3/gs2build/Unix/bin/linux"/></exec>
+
+			<mkdir dir="${release.dir}/dist/greenstone3/gs2build/bin/java"/>
+			<exec executable="cp"><arg line="${release.dir}/greenstone3/gs2build/bin/java/* ${release.dir}/dist/greenstone3/gs2build/bin/java"/></exec>
 
 		</if>
@@ -820,4 +852,10 @@
 				<export srcurl="${svn.root}/greenstone3/${branch.path}" destPath="${release.dir}/source-dist/greenstone3"/>
 			</svn>
+		</if>
+	</target>
+
+	<target name="source-set-version-number-property">
+		<if><bool><istrue value="${execute}"/></bool>
+			<rsr file="${release.dir}/source-dist/greenstone3/resources/java/global.properties.in" pattern="@gsdl3version@" replacement="${version}" />
 		</if>
 	</target>
@@ -901,4 +939,5 @@
 			<bool>
 				<and>
+					<isset property="branch.path" />
 					<not><equals arg1="${branch.path}" arg2=""/></not>
 					<not><equals arg1="${branch.path}" arg2="trunk"/></not>
@@ -912,4 +951,5 @@
 				<copy srcUrl="${svn.root}/gsdl/trunk" destUrl="${svn.root}/gsdl/${branch.path}" message="creating a branch for the ${version} release" />
 			</svn>
+			<else><fail>please set the branch.path, e.g., -Dbranch.path=branches/3.03</fail></else>
 		</if>
 	</target>