Index: gli/branches/2.75/classes/dictionary.properties
===================================================================
--- gli/branches/2.75/classes/dictionary.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:Acknowledgements for proprietary programs, packages or classes...
-AboutDialog.Date:(July 2007)
+AboutDialog.Date:(November 2007)
 AboutDialog.Item0:'Xerces Java 1' from The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:'WGet' from Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
Index: gli/branches/2.75/classes/dictionary_ar.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_ar.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_ar.properties	(revision 14769)
@@ -3,5 +3,6 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:ØŽÙØ± Ù Ø¹Ø±ÙØ§Ù...
-AboutDialog.Date:(ÙÙÙÙÙ 2007)
+AboutDialog.Date:(ÙÙÙÙ
+ØšØ± 2007)
 AboutDialog.Item0:'Xerces Java 1' from The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:'WGet' from Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
Index: gli/branches/2.75/classes/dictionary_ca.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_ca.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_ca.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:AgraÃ¯ments als autors de programes, paquets, classes, etc. amb drets d'autor  # Updated 7-Jul-2007 by Eduardo del Valle
-AboutDialog.Date:(Juny de 2006)  # Updated 7-Jul-2007 by Eduardo del Valle
+AboutDialog.Date:(Novembre de 2007)  # Updated 7-Jul-2007 by Eduardo del Valle
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)  # Updated 7-Jul-2007 by Eduardo del Valle
 AboutDialog.Item2:WGet' de Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)  # Updated 7-Jul-2007 by Eduardo del Valle
Index: gli/branches/2.75/classes/dictionary_el.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_el.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_el.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:Î Î»Î·ÏÎ¿ÏÎ¿ÏÎ¯ÎµÏ Î³Î¹Î± Î¹ÎŽÎ¹ÏÎºÏÎ·ÏÎ± ÏÏÎ¿Î³ÏÎ¬ÎŒÎŒÎ±ÏÎ± ÏÎ±ÎºÎ­ÏÎ± Î® ÎºÎ»Î¬ÏÎµÎ¹Ï...  # Updated 1-Apr-2005
-AboutDialog.Date:(ÎÎ¿ÏÎ»Î¹Î¿Ï 2007)  # Updated 1-Apr-2005
+AboutDialog.Date:(ÎÎ¿Î­ÎŒÎ²ÏÎ·Ï 2007)  # Updated 1-Apr-2005
 AboutDialog.Item0:'Xerces Java 1' Î±ÏÏ ÏÎ¿ Apache Software Foundation (http://www.apache.org/)  # Updated 1-Apr-2005
 AboutDialog.Item2:'WGet' Î±ÏÏ ÏÎ¿ Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)  # Updated 1-Apr-2005
Index: gli/branches/2.75/classes/dictionary_es.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_es.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_es.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:Reconocimientos de marca de paquetes, clases y programas propietarios...
-AboutDialog.Date:(Julio 2007)
+AboutDialog.Date:(Noviembre 2007)
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' de Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
Index: gli/branches/2.75/classes/dictionary_lv.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_lv.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_lv.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:PateicÄ«bas par programmÄm, paketÄm vai klasÄm...
-AboutDialog.Date:(JÅ«lijs 2007)
+AboutDialog.Date:(Novembris 2007)
 AboutDialog.Item0:Xerces Java 1' no The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' no Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
Index: gli/branches/2.75/classes/dictionary_ro.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_ro.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_ro.properties	(revision 14769)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:RecunoaÅteri pentru programele proprietare, pachetele sau clasele...  # Updated 22-Feb-2007 by constantinescu
-AboutDialog.Date:(Iulie 2007)  # Updated 22-Feb-2007 by constantinescu
+AboutDialog.Date:(Noiembrie 2007)  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Item0:'Xerces Java 1' de la The Apache Software Foundation (http://www.apache.org/)  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Item2:'WGet' de la Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)  # Updated 22-Feb-2007 by constantinescu
Index: gli/branches/2.75/classes/dictionary_zh.properties
===================================================================
--- gli/branches/2.75/classes/dictionary_zh.properties	(revision 14767)
+++ gli/branches/2.75/classes/dictionary_zh.properties	(revision 14769)
@@ -4,5 +4,5 @@
 AboutDialog.Acknowledgement:æ¥åçšåºïŒå
 æç±»çæææ
-AboutDialog.Date:(7æ 2007)
+AboutDialog.Date:(11æ 2007)
 AboutDialog.Item0:'Xerces Java 1' é¿åžå¥èœ¯ä»¶ç»ç» (http://www.apache.org/)
 AboutDialog.Item2:'WGet' å
Index: gli/branches/2.75/classes/xml/config.xml
===================================================================
--- gli/branches/2.75/classes/xml/config.xml	(revision 14767)
+++ gli/branches/2.75/classes/xml/config.xml	(revision 14769)
@@ -28,5 +28,5 @@
 ]>
 
-<Configuration version="2.74">
+<Configuration version="2.75">
   <GathererConfig>
     <!-- ***** General Options: apply globally to the GLI execution. ***** -->
Index: gli/branches/2.75/classes/xml/configRemote.xml
===================================================================
--- gli/branches/2.75/classes/xml/configRemote.xml	(revision 14767)
+++ gli/branches/2.75/classes/xml/configRemote.xml	(revision 14769)
@@ -28,5 +28,5 @@
 ]>
 
-<Configuration version="2.74">
+<Configuration version="2.75">
   <GathererConfig>
     <!-- ***** General Options: apply globally to the GLI execution. ***** -->
Index: gli/branches/2.75/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- gli/branches/2.75/src/org/greenstone/gatherer/Gatherer.java	(revision 14767)
+++ gli/branches/2.75/src/org/greenstone/gatherer/Gatherer.java	(revision 14769)
@@ -77,5 +77,5 @@
 		* change the regex in the gs3-release-maker code and in this message
 		*/
-    static final public String PROGRAM_VERSION = "trunk";
+    static final public String PROGRAM_VERSION = "2.75";
 
     static private Dimension size = new Dimension(800, 540);