Index: gli/trunk/classes/dictionary_ro.properties
===================================================================
--- gli/trunk/classes/dictionary_ro.properties	(revision 14842)
+++ gli/trunk/classes/dictionary_ro.properties	(revision 14852)
@@ -3,5 +3,5 @@
 #***** AboutDialog *****
 AboutDialog.Acknowledgement:RecunoaÅteri pentru programele proprietare, pachetele sau clasele...  # Updated 22-Feb-2007 by constantinescu
-AboutDialog.Date:(Iulie 2007)  # Updated 22-Feb-2007 by constantinescu
+AboutDialog.Date:(Decembrie 2006)  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Item0:'Xerces Java 1' de la The Apache Software Foundation (http://www.apache.org/)  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Item2:'WGet' de la Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)  # Updated 22-Feb-2007 by constantinescu
@@ -12,4 +12,5 @@
 AboutDialog.Item7:'Add ghosted drag images to your JTrees' - de Andrew J. Armstrong (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Item8:'Stop annoying java.prefs error when you don't have superuser access' - MulÅ£umiri lui Walter Schatz  # Updated 22-Feb-2007 by constantinescu
+AboutDialog.Item9:Director nou, pictogramele Återge Åi asistenÅ£Ä din Linie nouÄ! set de pictograme de Silvestre Herrera, de la http://art.gnome.org/  # Updated 21-Nov-2007 by constantinescu
 AboutDialog.Java_Req:Java este o marcÄ Ã®nregistratÄ al Sun Microsystems Inc. JRE este redistribuit ca Supplemental License Terms, de la http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.html  # Updated 22-Feb-2007 by constantinescu
 AboutDialog.Java_Req_One:Acest produs include cod licenÅ£iat de la RSA Security, Inc.  # Updated 28-Feb-2007 by constantinescu
@@ -30,5 +31,5 @@
 Autofilter.AND:ÅI(AND)  # Updated 24-Feb-2007 by constantinescu
 Autofilter.Ascending:Ascendent  # Updated 22-Feb-2007 by constantinescu
-Autofilter.Case_Sensitive:PotriveÅte la mÄrimea caracterelor  # Updated 22-Feb-2007 by constantinescu
+Autofilter.Case_Sensitive:PotriveÅte mÄrimea caracterelor  # Updated 21-Aug-2007 by constantinescu
 Autofilter.Custom_Filter:Avansat  # Updated 28-Feb-2007 by constantinescu
 Autofilter.Descending:DescrescÄtor  # Updated 28-Feb-2007 by constantinescu
@@ -86,5 +87,5 @@
 CDM.ClassifierManager.Add_Tooltip:UtilizeazÄ clasificatorul specificat cu aceastÄ colecÅ£ie  # Updated 28-Feb-2007 by constantinescu
 CDM.ClassifierManager.Assigned:Clasificatorii puÅi  # Updated 22-Feb-2007 by constantinescu
-CDM.ClassifierManager.Classifier:SelecteazÄ indecÅii de clasificare pentru a fi adÄugaÅ£i  # Updated 22-Feb-2007 by constantinescu
+CDM.ClassifierManager.Classifier:SelecteazÄ indicii de clasificare pentru a fi adÄugaÅ£i  # Updated 21-Aug-2007 by constantinescu
 CDM.ClassifierManager.Classifier_Str:clasificator  # Updated 24-Feb-2007 by constantinescu
 CDM.ClassifierManager.Classifier_List_XML_Parse_Failed:Nu pot obÅ£ine o listÄ a indecÅilor de clasificare folosind classinfo.pl -listall.  # Updated 22-Feb-2007 by constantinescu
@@ -116,4 +117,6 @@
 CDM.FormatManager.Remove_Tooltip:EliminÄ comanda pentru formatul selectat  # Updated 28-Feb-2007 by constantinescu
 CDM.FormatManager.Variable_Tooltip:Introdu una din variabilele predefinite Ã®n formatul de comandÄ selectat  # Updated 22-Feb-2007 by constantinescu
+CDM.FormatManager.MessageBox:Validare XML  # Updated 21-Aug-2007 by constantinescu
+CDM.FormatManager.MessageBox_Tooltip:Msajul de validare a Template-ului XML  # Updated 21-Aug-2007 by constantinescu
 CDM.General.Access:AceastÄ colecÅ£ie trebuie sÄ fie accesibilÄ public  # Updated 24-Feb-2007 by constantinescu
 CDM.General.Browser_Title:SelecteazÄ o imagine  # Updated 24-Feb-2007 by constantinescu
@@ -313,6 +316,6 @@
 CollectionManager.Preview_Ready_Failed:A apÄrut o eroare care a Ã®mpiedicat colecÅ£ia sÄ fie previzualizatÄ.  # Updated 28-Feb-2007 by constantinescu
 CollectionManager.Preview_Ready_Title:Previzualizarea ColecÅ£iei.  # Updated 28-Feb-2007 by constantinescu
-CollectionManager.Build_Not_Moved:Directorul de construcÅ£ie nu a putut fi mutat.  # Updated 22-Feb-2007 by constantinescu
-CollectionManager.Index_Not_Deleted:Directorul de index nu a putut fi Åters.  # Updated 22-Feb-2007 by constantinescu
+CollectionManager.Build_Not_Moved:Directorul de construcÅ£ie nu a putut fi mutat. ÃncearcÄ sÄ-l construieÅti din nou sau ieÅiÅ£i din GLI Åi din server; reporniÅ£i GLI Åi Ã®ncercaÅ£i construcÅ£ia din nou - aceastÄ procedurÄ ar trebui sÄ rezolve problema.  # Updated 5-Nov-2007 by constantinescu
+CollectionManager.Index_Not_Deleted:Directorul de index nu a putut fi Åters. ÃncearcÄ sÄ ieÅi din GLI Åi sÄ inchizi serverul. ÃncearcÄ repornirea GLI Åi Ã®ncearcÄ din nou construcÅ£ia colecÅ£iei - ar trebui ca aceastÄ procedurÄ sÄ rezolve problema.  # Updated 5-Nov-2007 by constantinescu
 CollectionManager.Install_Exception:A fost detectatÄ o excepÅ£ie Ã®n timpul instalÄrii colecÅ£iei:\n{0}\nCel mai probabil a fost cauzatÄ de Windows sau de existenÅ£a unor blocÄri asupra dosarelor/fiÅierelor la nivelul Bibliotecii locale.\nVÄ rugÄm, asiguraÅ£i-vÄ cÄ nici unul din fiÅierele sursÄ ale colecÅ£iei \nnu sunt deschise Ã®ntr-o aplicaÅ£ie externÄ Åi apoi reconstruiÅ£i.  # Updated 22-Feb-2007 by constantinescu
 #*****************************
@@ -397,4 +400,5 @@
 DOWNLOAD.MODE.Root:Download_Root  # Updated 21-Feb-2007 by constantinescu
 DOWNLOAD.MODE.WebDownload:Web  # Updated 22-Feb-2007 by constantinescu
+DOWNLOAD.MODE.MediaWikiDownload:MediaWiki  # Updated 21-Aug-2007 by constantinescu
 DOWNLOAD.MODE.OAIDownload:OAI  # Updated 22-Feb-2007 by constantinescu
 DOWNLOAD.MODE.ZDownload:Z39.50  # Updated 21-Feb-2007 by constantinescu
@@ -517,4 +521,6 @@
 FileActions.Write_Not_Permitted_Title:Eroare - Permisiuni asupra dosarului/fiÅierului setate incorect  # Updated 22-Feb-2007 by constantinescu
 FileActions.Yes_To_All:Da la Toate  # Updated 22-Feb-2007 by constantinescu
+FileActions.File_Permission_Detail:\n\nNotÄ: Ãn general, InterfaÅ£a Bibliotecarului Greenstone are nevoie de permisiuni de scriere pentru directorul de bazÄ al Greenstone (home directory), \ncare este {0}\nAcordaÅ£i, vÄ rog âControl Deplinâ utilizatorului curent {1} asupra acestui director Åi tuturor subdirectoarelor Åi fiÅierelor Åi Ã®ncercaÅ£i din nou.\n(Alternativ, se poate reinstala Greenstone Ã®ntr-o locaÅ£ie precum directorul de bazÄ (home directory) sau Ã®n âMy Documentsâ\n acolo unde aveÅ£i control deplin).  # Updated 21-Nov-2007 by constantinescu
+
 #************************
 #
@@ -796,4 +802,7 @@
 MissingGLIServer.Message:Avertisment ! Nu veÅ£i putea lucra cu, colecÅ£iile Ã®n cadrul InterfeÅ£ei Bibliotecarului decÃ¢t dacÄ specifici adresa scriptului la distanÅ£Ä âgliserverâ. PoÅ£i introduce adresa acum Ã®n cÃ¢mpul de mai jos sau mai tÃ¢rziu prin intermediul PreferinÅ£elor de unde alegi secÅ£iunea Conexiune. AtenÅ£ie, un URL valid Ã®ncepe cu protocolul  "http://" Åi se Ã®ncheie cu "gliserver".  # Updated 28-Feb-2007 by constantinescu
 MissingGLIServer.Title:LipseÅte Adresa GLIServer  # Updated 28-Feb-2007 by constantinescu
+#***** Missing GLIServer_GS3 *****
+MissingGLIServer_GS3.Message:AtenÅ£ie ! Nu veÅ£i putea lucra pe colecÅ£ii utilizÃ¢nd InterfaÅ£a Bibliotecarului decÃ¢t dacÄ specificaÅ£i adresa scriptului extern âgliserver4gs3.plâ. PuteÅ£i face asta introducÃ¢nd adresa Ã®n cÃ¢mpul de mai jos sau mai tÃ¢rziu din PreferinÅ£e, de unde selectaÅ£i opÅ£iunea Conexiune. Å¢ineÅ£i minte cÄ un URL valid trebuie sÄ Ã®nceapÄ specificÃ¢nd protocolul âhttp://â Åi se Ã®ncheie cu â/greenstone3/cgi-bin/gliserver4gs3.plâ.  # Updated 5-Nov-2007 by constantinescu
+MissingGLIServer_GS3.Title:Adresa Greenstone 3 pentru GLIServer lipseÅte  # Updated 5-Nov-2007 by constantinescu
 #***** Missing GSDL *****
 MissingGSDL.Message:Avertisment ! Nu veÅ£i putea accesa toate caracteristicile InterfeÅ£ei Bibliotecarului fÄrÄ a avea o instalare localÄ a Bibliotecii Digitale Greenstone. DacÄ consideraÅ£i cÄ acest mesaj este returnat ca unu de eroare, vÄ rugÄm sÄ verificaÅ£i instalarea Åi cÄile specificate Ã®n scripturile Åi instrucÅ£iunile de instalare ale InterfeÅ£ei Bibliotecarului.  # Updated 23-Feb-2007 by constantinescu
@@ -813,5 +822,7 @@
 NewCollectionPrompt.Collection_Name:Dosarul colecÅ£iei:  # Updated 22-Feb-2007 by constantinescu
 NewCollectionPrompt.Collection_Scope_Personal:Aceasta este o colecÅ£ie personalÄ  # Updated 22-Feb-2007 by constantinescu
+NewCollectionPrompt.Collection_Scope_Personal_Tooltip:ColecÅ£ia poate fi editatÄ de persoana care a creat-o Åi de utilizatorii din grupul âeditor-al-tuturor-colecÅ£iilorâ.  # Updated 5-Nov-2007 by constantinescu
 NewCollectionPrompt.Collection_Scope_Shared:Aceasta nu este o colecÅ£ie personalÄ  # Updated 21-Feb-2007 by constantinescu
+NewCollectionPrompt.Collection_Scope_Shared_Tooltip:ColecÅ£ia poate fi editatÄ de utilizatorii din grupul âeditor-al-tuturor-colecÅ£iilorâ.  # Updated 5-Nov-2007 by constantinescu
 NewCollectionPrompt.Error:Eroare Ã®n noua colecÅ£ie  # Updated 22-Feb-2007 by constantinescu
 NewCollectionPrompt.Instructions:Pentru a crea o nouÄ colecÅ£ie, vÄ rugÄm sÄ completaÅ£i cÃ¢mpurile de mai jos.  # Updated 22-Feb-2007 by constantinescu
@@ -916,4 +927,5 @@
 #***** Remote Greenstone Server *****
 RemoteGreenstoneServer.Authentication_Message:VÄ rugÄm, introduceÅ£i numele Åi parola:  # Updated 22-Feb-2007 by constantinescu
+RemoteGreenstoneServer.Authentication_Message_gs3:VÄ rugÄm sÄ introduceÅ£i numele de utilizator Åi parola:  # Updated 5-Nov-2007 by constantinescu
 RemoteGreenstoneServer.Error:O eroare a apÄrut pe serverul Greenstone la distanÅ£Ä Ã®n timpul desfÄÅurÄrii operaÅ£iunii:\n{0-Mesaj de eroare}  # Updated 22-Feb-2007 by constantinescu
 RemoteGreenstoneServer.Error_Title:Eroare la distanÅ£Ä a Serverului Greenstone  # Updated 22-Feb-2007 by constantinescu