Index: i/trunk/help/fr/buildsettings.htm
===================================================================
--- /gli/trunk/help/fr/buildsettings.htm	(revision 14860)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<html>
-<head>
-<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Greenstone Librarian Interface - Help Pages</title>
-</head>
-<body bgcolor="#E0F0E0">
-<table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
-<tr>
-<td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td><td align="center" width="*"><a name="buildsettings"><font face="Verdana" size="5"><strong>7.2: Param&egrave;tres d'Importation et de Construction</strong></font></a></td><td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td>
-</tr>
-</table>
-
-<p>Cette section explique comment acc&eacute;der aux diff&eacute;rents param&egrave;tres de construction et d'importation. Pour plus d'informations sur l'importation et la construction lire le chapitre 1 du Guide du D&eacute;veloppeur de Greenstone -- Comprendre le processus de construction de la collection.</p>
-<p>Le contr&ocirc;le des diff&eacute;rents param&egrave;tres se fait de fa&ccedil;on identique &agrave; la fen&ecirc;tre "Configurer Arguments" d&eacute;crit dans la section <a href="plugins.htm">Plugiciels de Document</a>. Certains champs requi&egrave;rent des arguments num&eacute;riques, et on peut: soit les incorporer en les saisissant, soit utiliser les fl&egrave;ches Haut et Bas pour augmenter ou diminuer la valeur pr&eacute;sente (dans certains cas, l'interface limite la classe qu'on peut entrer.) D'autres sont activ&eacute;s en cliquant sur une case de v&eacute;rification (re-cliquer pour d&eacute;sactiver.)</p>
-</body>
-</html>
Index: i/trunk/help/fr/metadatasets.htm
===================================================================
--- /gli/trunk/help/fr/metadatasets.htm	(revision 14860)
+++ 	(revision )
@@ -1,19 +1,0 @@
-<html>
-<head>
-<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Greenstone Librarian Interface - Help Pages</title>
-</head>
-<body bgcolor="#E0F0E0">
-<table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
-<tr>
-<td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td><td align="center" width="*"><a name="metadatasets"><font face="Verdana" size="5"><strong>6.11: jeux de M&eacute;ta-donn&eacute;es</strong></font></a></td><td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td>
-</tr>
-</table>
-
-<p>Cette section explique le panel de visualisation du jeu de m&eacute;ta-donn&eacute;es. Sous "Sections de conception", cliquer sur "jeux de M&eacute;ta-donn&eacute;es". </p>
-<p>Cette fen&ecirc;tre sert &agrave; la revue des jeux de m&eacute;ta-donn&eacute;es utilis&eacute;s dans la collection, et les &eacute;l&eacute;ments qui sont disponibles dans chaque jeu. Choisir dans la liste de "jeux de m&eacute;ta-donn&eacute;es disponibles" pour voir des informations d&eacute;taill&eacute;es &agrave; ces &eacute;l&eacute;ments.</p>
-<p>Pour utiliser un autre jeu de m&eacute;ta-donn&eacute;es avec la collection charg&eacute;e, clicquez sur "Ajouter un jeu de m&eacute;ta-donn&eacute;es" et s&eacute;lectionnez le fichier m&eacute;ta-donn&eacute;es (.mds) pour le nouveau jeu m&eacute;ta-donn&eacute;es.</p>
-<p>L'&eacute;dition de jeux m&eacute;ta-donn&eacute;es se fait avec l'&eacute;diteur Greenstone de m&eacute;ta-donn&eacute;es (GEMS). En clicquant sur le bouton "&Eacute;diter un jeux m&eacute;ta-donn&eacute;es" vous obtiendrez des informations sur l'utilisation de GEMS.</p>
-<p>Si vous n'avez plus besoin d'un jeu m&eacute;ta-donn&eacute;es, s&eacute;lectionnez le et clickez sur "Suppression du jeu m&eacute;ta-donn&eacute;es" pour l'enlever. Si vous avez affectt&eacute; des m&eacute;ta-donn&eacute;es aux &eacute;l&eacute;ments du jeu supprim&eacute;, on vous demandera ce que vous voulez en faire lorsque vous allez ouvrir &agrave; nouveau cette collection.</p>
-</body>
-</html>
Index: i/trunk/help/fr/searchtypes.htm
===================================================================
--- /gli/trunk/help/fr/searchtypes.htm	(revision 14860)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<html>
-<head>
-<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
-<title>The Greenstone Librarian Interface - Help Pages</title>
-</head>
-<body bgcolor="#E0F0E0">
-<table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
-<tr>
-<td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td><td align="center" width="*"><a name="searchtypes"><font face="Verdana" size="5"><strong>6.4: Types de recherche</strong></font></a></td><td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td>
-</tr>
-</table>
-
-<p>cette section explique comment modifier une nouvelle caract&eacute;ristique de conception dans Greenstone, Types de recherche, qui permet une recherche de champ. Les types de recherche sp&eacute;cifient le type d'interface de recherche &agrave; fournir: formulaire, recherche par champs et/ou recherche simple. Sous "Sections de conception", cliquer sur "Types de recherche".</p>
-<p>Lorsqu'on p&eacute;n&egrave;tre dans l'affichage Types de recherche, v&eacute;rifier d'abord "Activer recherches avanc&eacute;es", qui active les autres contr&ocirc;les. Ceci change la collection &agrave; utiliser un m&eacute;chanisme d' indexage qui permet une recherche de champs. La sp&eacute;cification de l' indexe est l&eacute;g&egrave;rement diff&eacute;rente dans ce mode. (Quand &eacute;changeant entre une recherche classique ou avanc&eacute;e, le GLI essaye de convertir la sp&eacute;cification de l' indexe, mais peut ne pas le faire correctement.)</p>
-<p>pour ajouter un type de recherche, s&eacute;lectionner-le &agrave; partir de la liste "Types de recherche" et cliquer sur "Ajouter Type de recherche".  Chaque type n'appara&icirc;t qu'une fois sur la liste. La premi&egrave;re recherche sera de type d&eacute;faut et appar&ecirc;tra dans la page de recherche de la conection &eacute;tablie. Tout les autres pourons &ecirc;tre s&eacute;lection&eacute;s dans la page de pr&eacute;f&eacute;rences.</p>
-<p>Pour enlever un type de recherche, il faut le selectionner &agrave; partir de la liste "Currently Assigned Search type" et cliquer sur "Enlever type de recheche". La liste doit contenir au moins un type de recherche.</p>
-</body>
-</html>