Index: gli/trunk/help/fr/builderrors.htm
===================================================================
--- gli/trunk/help/fr/builderrors.htm	(revision 14863)
+++ gli/trunk/help/fr/builderrors.htm	(revision 14863)
@@ -0,0 +1,17 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="builderrors"><font size="5" face="Verdana"><strong>7.2: Erreurs dans la cr&eacute;ation de colection</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Parfois, les choses tournent mal pendant la collecte b&acirc;timent. Peut-&ecirc;tre que certains fichiers n'ont pas pu &ecirc;tre trait&eacute;s: le reste de la collection se construit bien, et peut-&ecirc;tre pr&eacute;-visionn&eacute;e, mais certains documents sont absents. Ou la totalit&eacute; de la collection n'est peut &ecirc;tre construite correctement et dans ce cas un message indique "An error has occurred and the collection could not be created." Lorsque cela se produit, il peut &ecirc;tre utile de passer la GLI en mode Expert (Fichier -&gt; Pr&eacute;f&eacute;rences - &gt; Mode, voir <a href="preferences.htm">Pr&eacute;f&eacute;rences</a>), d&eacute;finissez l'option de construire "verbosit&eacute;" &agrave; 5, et de reconstruire, pour voir s'il ya des messages d'erreur.</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/collectionspecificmacros.htm
===================================================================
--- gli/trunk/help/fr/collectionspecificmacros.htm	(revision 14863)
+++ gli/trunk/help/fr/collectionspecificmacros.htm	(revision 14863)
@@ -0,0 +1,19 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="collectionspecificmacros"><font size="5" face="Verdana"><strong>8.7: Macros sp&eacute;cifiques &agrave; la collection</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Dans la vue "Formater", cliquez sur "Macros sp&eacute;cifiques &agrave; la collection".</p>
+
+<p>Ce panneau montre le contenu du fichier extra.dm de la collection. C'est l&agrave; o&ugrave; peuvent &ecirc;tre d&eacute;finies des macros sp&eacute;cifiques de la collection. Pour en savoir plus sur les macros, voir le chapitre 3 du Guide du D&eacute;veloppeur Greenstone.</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/creatingshortcuts.htm
===================================================================
--- gli/trunk/help/fr/creatingshortcuts.htm	(revision 14863)
+++ gli/trunk/help/fr/creatingshortcuts.htm	(revision 14863)
@@ -0,0 +1,17 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="creatingshortcuts"><font size="5" face="Verdana"><strong>4.2: Cr&eacute;ation d'un raccourci dans l'arbre de travail</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Certains dossiers -- tel que celui contenant vos propres pages Web -- ont parfois une signification sp&eacute;ciale. L'Interface Biblioth&eacute;caire peut appliquer de tels dossiers au premier niveau de l'arborescence de fichiers. Pour ce faire double-cliquer droite sur le dossier vis&eacute;. Choisir "Cr&eacute;er un Raccourci", saisir le nom du dossier. Pour enlever un &eacute;l&eacute;ment, cliquer-droite sur le fichier concern&eacute; et s&eacute;lectionner "Supprimer Raccourci".</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/expertbuilding.htm
===================================================================
--- gli/trunk/help/fr/expertbuilding.htm	(revision 14863)
+++ gli/trunk/help/fr/expertbuilding.htm	(revision 14863)
@@ -0,0 +1,21 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="expertbuilding"><font size="5" face="Verdana"><strong>7.3: Cr&eacute;er vue en mode Expert</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>En mode expert, vous pouvez utiliser l'entr&eacute;e "Message Log" &agrave; gauche pour revoir les tentatives pr&eacute;c&eacute;dentes de construction de la collection avec ou san succ&eacute;s. S&eacute;lectionnez le journal souhait&eacute; en cliquant sur la date correspondante dans la liste "Historique du Journal".</p>
+
+<p>Dans ce mode, une liste compl&egrave;te d'options d'importation et de construction sont indiqu&eacute;es dans les onglets "lmporter" et "Construire" vers la gauche. Les diff&eacute;rents param&egrave;tres sont contr&ocirc;l&eacute;s, tout comme la fen&ecirc;tre "Configurer Arguments" d&eacute;crits dans l'article <a href="plugins.htm">Plugiciels de Document</a>. Certains champs requi&egrave;rent des arguments num&eacute;riques, et vous pouvez les taper ou utiliser les fl&egrave;ches pour augmenter ou diminuer la valeur actuelle (dans certains cas, l'interface limite la gamme laquelle vous pouvez acc&eacute;der). D'autres sont activ&eacute;s en cliquant sur une case &agrave; cocher (cliquez de nouveau pour d&eacute;sactiver).</p>
+
+<p>Pour plus d'informations sur l'importation et la construction lire le chapitre 1 du Guide du d&eacute;veloppeur Greenstone -- Comprendre le processus de consolidation de la collecte.</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/explodingfiles.htm
===================================================================
--- gli/trunk/help/fr/explodingfiles.htm	(revision 14863)
+++ gli/trunk/help/fr/explodingfiles.htm	(revision 14863)
@@ -0,0 +1,25 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="explodingfiles"><font size="5" face="Verdana"><strong>4.7: "Eclater" les fichiers de m&eacute;tadonn&eacute;es  </strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Les m&eacute;tadonn&eacute;es de type base de donn&eacute;es de fichiers, tels que MARC, CDS / ISIS, BibTex, Refer et ProCite peuvent &ecirc;tre import&eacute;s dans Greenstone, mais leurs m&eacute;tadonn&eacute;es ne peuvent pas &ecirc;tre consult&eacute;es ou modifi&eacute;es dans l'Interface Biblioth&eacute;caire. Pour consulter ou modifier toute m&eacute;tadonn&eacute;e, vous devez retourner au programme qui a cr&eacute;&eacute; le fichier.</p>
+
+<p>"Eclater" un fichier de base de donn&eacute;es de m&eacute;tadonn&eacute;es le divise en enr&eacute;gissements individuels, chacun avec m&eacute;tadonn&eacute;es visibles et modifiables. Ce processus est irr&eacute;versible: l'original du fichier de m&eacute;tadonn&eacute;es est supprim&eacute;.</p>
+
+<p>Les fichiers &eacute;clatables ont une ic&ocirc;ne verte dans l'arboresence de la collection . Pour en &eacute;clater un, cliquez-droit et choisissez "Eclater de base de donn&eacute;es des m&eacute;tadonn&eacute;es ". Une fen&ecirc;tre secondaire montre des options pour le processus d'&eacute;clatement. La premi&egrave;re option ("plugiciel"), pr&eacute;cise le plugiciel &agrave; utiliser pour &eacute;clater. Dans la plupart des cas, un seul plugiciel traitera un type de fichier donn&eacute;, mais dans certains cas, o&ugrave; diff&eacute;rents types de fichiers partagent la m&ecirc;me extension de nom de fichier, il peut y avoir deux plugiciels qui traitent les fichiers avec cette extension. L'option "input_encoding" peut &ecirc;tre utilis&eacute;e pour sp&eacute;cifier le codage de la base de donn&eacute;es. L'option "metadata_set" sp&eacute;cifie quel jeu de m&eacute;tadonn&eacute;es devrait &ecirc;tre enrichi des nouveaux champs g&eacute;n&eacute;r&eacute;s par l'&eacute;clatement. Si aucun n'est sp&eacute;cifi&eacute;, il vous sera demand&eacute; quoi faire avec chaque nouveau champ de la base de donn&eacute;es: l'ajouter comme un nouvel &eacute;l&eacute;ment d'un jeu de m&eacute;tadonn&eacute;es existant, le fusionner avec un autre &eacute;l&eacute;ment, ou l'ignorer.</p>
+
+<p>Lorsqu'un fichier est eclat&eacute;, un nouveau document vide est cr&eacute;&eacute; pour chaque enregistrement, et les m&eacute;tadonn&eacute;es de l'enregistrement est attribu&eacute; au document. Elles sont nomm&eacute;es en utilisant des num&eacute;ros tels que 000001.nul, 000002.nul etc ... Si l'option "document_field"  est d&eacute;finie (&agrave; un nom de champ de base de donn&eacute;es), la valeur de ce champ, s'il est pr&eacute;sent, sera utilis&eacute;e pour le nom du fichier. Le processus de l'eclatement tentera &eacute;galement de t&eacute;l&eacute;charger le fichier et de l'utiliser &agrave; la place d'un fichier vide. Les options "document_prefix" et "document_suffix"  peuvent &ecirc;tre utilis&eacute;es pour fabriquer une URL ou le chemin du fichier &agrave; partir de la valeur du document_field. L'option "records_per_folder" peut &ecirc;tre utilis&eacute;e pour regrouper en sous-dossiers les enregistrements &eacute;clat&eacute;s. Si la base de donn&eacute;es est tr&egrave;s large, l'utilisation de cette option permettra d'acc&eacute;l&eacute;rer la modification ult&eacute;rieure de m&eacute;tadonn&eacute;es.</p>
+
+<p>La possibilit&eacute; d'&eacute;clater un fichier est d&eacute;termin&eacute;e par son extension. Dans certains cas, un fichier peut incorrectement &ecirc;tre identifi&eacute; comme &eacute;clatable si il a la m&ecirc;me extension qu'un fichier &eacute;clatable. Par exemple, le plugiciel ProCite traite les fichiers avec une extension .txt, mais la plupart des fichiers .txt sont des fichiers de texte ordinaires, et non des fichiers ProCite.</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/exporting.htm
===================================================================
--- gli/trunk/help/fr/exporting.htm	(revision 14863)
+++ gli/trunk/help/fr/exporting.htm	(revision 14863)
@@ -0,0 +1,21 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="exporting"><font size="5" face="Verdana"><strong>9.3: Exportation de collections &agrave; d'autres formats </strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Greenstone peut exporter le contenu et/ou de m&eacute;tadonn&eacute;es d'une collection en plusieurs formats standards, y compris METS, DSpace et MARCXML.</p>
+
+<p>Pour exporter une ou plusieurs collections, ouvrez le menu "Fichier" et choisissez "Exporter...". Vous pouvez choisir le format d'exportation en le s&eacute;lectionnant dans la liste d&eacute;roulante "Exporter vers". Sp&eacute;cifiez un nom pour le r&eacute;pertoire dans lequel vous voulez placer les fichiers export&eacute;s, les fichiers finissent dans &lt;chemin &agrave; greenstone&gt; / tmp / exported_xxx, o&ugrave; xxx est le nom que vous avez sp&eacute;cifi&eacute;. S&eacute;lectionnez une ou plusieurs collections dans la liste des collections disponibles, puis cliquez sur "Exporter la/les collection(s)".</p>
+
+<p>Il existe d'autres options sp&eacute;cifiques aux diff&eacute;rents formats. Dans le but de personnaliser le format de sortie, vous pouvez sp&eacute;cifier les fichiers XSLT qui seront appliqu&eacute;s aux document(s) XML r&eacute;sultant(s). L'exportation en MARCXML utilise un fichier de correspondance ("mapping") pour faire correspondre les m&eacute;tadonn&eacute;es Greenstone aux champs MARC. Le fichier de correspondance par d&eacute;faut traite uniquement les m&eacute;tadonn&eacute;es Dublin Core. Vous pouvez sp&eacute;cifier un fichier de correspondance personnalis&eacute; pour &ecirc;tre utilis&eacute; &agrave; la place.</p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/formattingacollection.htm
===================================================================
--- gli/trunk/help/fr/formattingacollection.htm	(revision 14863)
+++ gli/trunk/help/fr/formattingacollection.htm	(revision 14863)
@@ -0,0 +1,24 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="formattingacollection"><font size="5" face="Verdana"><strong>8: Personnalisation de l'apparence de votre collection</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>"Une fois que vous avez construit la collection, vous devez d&eacute;cider de la mani&egrave;re dont elle devrait appara&icirc;tre &agrave; l'utilisateur. Quels noms devraient &ecirc;tre utilis&eacute;s pour la liste d&eacute;roulante de l'index dans le formulaire de recherche? Comment les r&eacute;sultats de recherche devraient &ecirc;tre affich&eacute;s? Quelles m&eacute;tadonn&eacute;es devraient &ecirc;tre affich&eacute;es lorsqu'un document est visualis&eacute;? Elles peuvent &ecirc;tre personnalis&eacute;es ; cette section explique comment le faire."	</p>
+
+
+
+
+
+
+
+
+</body>
+</html>
Index: gli/trunk/help/fr/replacingfiles.htm
===================================================================
--- gli/trunk/help/fr/replacingfiles.htm	(revision 14863)
+++ gli/trunk/help/fr/replacingfiles.htm	(revision 14863)
@@ -0,0 +1,18 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="replacingfiles"><font size="5" face="Verdana"><strong>4.5: Renommage et remplacement des fichiers</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Les fichiers peuvent &ecirc;tre rebaptis&eacute; par clic-droit et en s&eacute;lectionnant "Renommer" dans la liste. Entrez le nouveau nom &agrave; l'invite et cliquez sur "OK". </p>
+
+
+</body>
+</html>
Index: gli/trunk/help/fr/searchmetadatasettings.htm
===================================================================
--- gli/trunk/help/fr/searchmetadatasettings.htm	(revision 14863)
+++ gli/trunk/help/fr/searchmetadatasettings.htm	(revision 14863)
@@ -0,0 +1,21 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="searchmetadatasettings"><font size="5" face="Verdana"><strong>8.3: Rechercher</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Cette section explique comment configurer l'affichage de texte pour les listes d&eacute;roulantes de la page de recherche. Dans le cadre "Formater", cliquez sur "Rechercher".</p>
+
+<p>Ce panneau contient un tableau &eacute;num&eacute;rant chaque index de recherche. Ici, vous pouvez entrer les textes qui seront utilis&eacute;s comme noms des &eacute;l&eacute;ments qui appara&icirc;tront dans les listes d&eacute;roulantes de la page de recherche. Ce panneau vous permet de d&eacute;finir le texte pour une seule langue, celle utilis&eacute;e pour l'interface de GLI. Pour traduire ces noms dans d'autres langues, utilisez la partie Traduire Texte de la vue "Formater" (voir <a href="translatetext.htm">Traduire Texte</a>)."
+	"Here you can enter the text to be used for [each item]THE INDEX NAMES in the [various ]drop-down lists on the search page. This pane only allows you to set the text for one language, the current language used by GLI. To translate ....""
+source::s1-3a	"For MG indexes, you also need to choose the granularity of the index, using the "Indexing level:" menu. </p>
+
+</body>
+</html>
Index: gli/trunk/help/fr/theformatview.htm
===================================================================
--- gli/trunk/help/fr/theformatview.htm	(revision 14863)
+++ gli/trunk/help/fr/theformatview.htm	(revision 14863)
@@ -0,0 +1,23 @@
+<html>
+<head>
+<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<title>The Greenstone Librarian Interface - Help Pages</title>
+</head>
+<body bgcolor="#E0F0E0">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
+<tr>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="theformatview"><font size="5" face="Verdana"><strong>8.1: La vue "Formater"</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
+</tr>
+</table>
+
+
+<p>Cette section vous d&eacute;crit la vue "Formater" et explique comment naviguer entre les diff&eacute;rents panneaux.</p>
+
+<p>Avec l'Interface Biblioth&eacute;caire vous pouvez configurer la pr&eacute;sentation de la collection pour l'utilisateur. Les options de configuration sont divis&eacute;es en plusieurs sections, chacune associ&eacute;e &agrave; un type de personnalisation.</p>
+
+<p>Sur la gauche se trouve une liste de param&egrave;tres et sur le droit les commandes associ&eacute;es &agrave; chacun. Pour activer et &eacute;diter un param&egrave;tre, cliquez dans la case &agrave; c&ocirc;t&eacute; de son nom dans la liste.</p>
+
+<p>Sous la liste de param&egrave;tres existe un bouton "Pr&eacute;visualiser la Collection". Les changements apport&eacute;s dans la vue "Format" n'ont pas besoin d'une reconstruction de la collection, de sorte qu'ils peuvent &ecirc;tre pr&eacute;visualis&eacute;s imm&eacute;diatement. Toutefois, la collection doit avoir &eacute;t&eacute; construite au moins une fois afin de permettre la pr&eacute;visualisation.</p>
+
+</body>
+</html>