Index: gli/trunk/help/es/themirrorview.htm
===================================================================
--- gli/trunk/help/es/themirrorview.htm	(revision 14129)
+++ gli/trunk/help/es/themirrorview.htm	(revision 14864)
@@ -5,15 +5,37 @@
 </head>
 <body bgcolor="#E0F0E0">
-<table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
 <tr>
-<td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td><td align="center" width="*"><a name="themirrorview"><font face="Verdana" size="5"><strong>3.1: La vista en Bajar</strong></font></a></td><td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="themirrorview"><font size="5" face="Verdana"><strong>3.1: La vista en Bajar</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
 </tr>
 </table>
 
-<p>Esta secci&oacute;n describe como configurar una tarea de descarga y como controlar el proceso de descargue. Active la vista "Bajar" haciendo clic en su pesta&ntilde;a. La mitad superior de la pantalla contiene los controles para realizar descargas. La mitad inferior est&aacute; vac&iacute;a inicialmente, pero despu&eacute;s va a mostrar una lista de tareas pendientes y terminadas.</p>
-<p>Los archivos se descargan en una carpeta del espacio de trabajo denominada "Archivos Descargados", y pueden utilizarse en todas las colecciones construidas con el interfaz del Bibliotecario. En esta &aacute;rea los archivos se designan con su URL completo. Para cada "host" se crea una nueva carpeta, seguida por otras para cada parte del "path". De esta manera se asegura que todos los archivos son distintos.</p>
-<p>Utilice el primero de los controles de configuraci&oacute;n de la descarga, "URL Or&iacute;gen", para capturar el URL de un recurso deseado. Utilice el control "Profundidad de la Descarga" para limitar el n&uacute;mero de hiper-v&iacute;nculos que se deben seguir al descargar: P&oacute;ngalo en 0 para descargar una sola p&aacute;gina; p&oacute;ngalo en 1 para descargar una p&aacute;gina y todas las p&aacute;ginas a las que apunta. El l&iacute;mite de profundidad se ignora al descargar medios diferentes de p&aacute;ginas html. Adem&aacute;s, hay varios controles de chequeo que se pueden prender para activar determinadas capacidades durante una descarga espec&iacute;fica. Una vez se ha establecido la configuraci&oacute;n, haga clic en "Descargar" para iniciar un nuevo proceso de descargue. Hay otros dos controles en forma de botones: "Preferencias", que enlaza con la secci&oacute;n de conexi&oacute;n de las Preferencias, en la cual se pueden editar las caracter&iacute;sticas del "proxy"; y "Borrar Cach&eacute;", que borra todos los archivos descargados previamente.</p>
+
+<p>Esta secci&oacute;n describe como configurar una tarea de descarga y como controlar el proceso de descarga. Active la vista "Download" pulsando en su pesta&ntilde;a. La mitad superior de la pantalla contiene los controles para realizar descargas. La mitad inferior est&aacute; vac&iacute;a inicialmente, pero despu&eacute;s va a mostrar una lista de tareas pendientes y terminadas.</p>
+
+<p>Se pueden usar varios protocolos para descargar registros, y se listan en la parte izquierda superior.</p>
+
+<p>
+<b>Web:</b> descarga p&aacute;ginas web y ficheros mediante HTTP y FTP.</p>
+
+<p>
+<b>OAI:</b> descarga registros de un servidor OAI (Open Archives Initiative).</p>
+
+<p>
+<b>Z3950:</b> descarga registros MARC que cumplen un criterio de b&uacute;squeda dado, desde un servidor Z3950.</p>
+
+<p>
+<b>SRW:</b> descarga registros MARCXML que cumplen un criterio dado desde un servidor SRW.</p>
+
+<p>Seleccione el tipo adecuado pulsando sobre &eacute;l en la lista de la izquierda. La parte derecha muestra las opciones disponibles para el tipo de descarga seleccionado. Para saber que hace una opci&oacute;n, sit&uacute;e el cursor sobre ella: se abre un mensaje emergente explicando la opci&oacute;n. Algunas opciones son "opcionales": se presentan con un cuadro que debe ser marcado para usar la opci&oacute;n. Otras son "requeridas": no tienen cuadro de marca, y debe darse un valor antes de llevar a cabo la descarga.</p>
+
+<p>Una vez fijada la configuraci&oacute;n, pulse "Server Information" para comprobar la conexi&oacute;n al servidor y ver informaci&oacute;n b&aacute;sica sobre la p&aacute;gina web o el servidor, o pulse "Download" para iniciar la descarga.</p>
+
+<p>Hay otros dos botones: "Preferencias", que enlaza con la secci&oacute;n de conexi&oacute;n de las Preferencias, en la cual se pueden editar los par&aacute;metros del proxy; y "Borrar cach&eacute;", que borrar todos los ficheros descargados previamente. Puede necesitar la informaci&oacute;n del proxy si usa este sistema para conectarse a internet. Si se necesita autentificaci&oacute;n para las descargas, el servidor proxy pedir&aacute; nombre de usuario y clave. La Interfaz de Bibliotecario no almacena claves entre sesiones.</p>
+
+<p>Los ficheros se descargan en una carpeta del espacio de trabajo denominada "Downloaded Files", (s&oacute;lo presente cuando se activa la descarga) y pueden utilizarse en todas las colecciones construidas. Los ficheros se designan con su URL completo, o una combinaci&oacute;n de URL y valores de opci&oacute;n (para otros tipos de descarga). Para cada "host" se crea una nueva carpeta, seguida por otras para cada parte del "path". De esta manera se asegura que todos los ficheros son distintos.</p>
+
 <p>La lista de descargas tiene una entrada por cada p&aacute;gina web descargada. Cada entrada tiene un &aacute;rea de texto que da detalles acerca de la tarea, junto con una barra que indica el avance de la actividad en ejecuci&oacute;n. A la izquierda de cada entrada aparecen tres botones. "Pausa" se utiliza para detener temporalmente la descarga que se est&aacute; ejecutando. "Ver Bit&aacute;cora" abre una ventana que muestra el archivo de bit&aacute;cora de las descargas. "Cerrar" termina la descarga y quita de la lista la tarea correspondiente.</p>
-<p>La secci&oacute;n <a href="preferences.htm">Preferencias</a> describe como establecer una conexi&oacute;n Internet por medio de un "proxy".  Si se necesita autenticaci&oacute;n, el servidor "proxy" pide la identificaci&oacute;n y la palabra clave. El interfaz del Bibliotecario no almacena palabras claves entre sesiones.</p>
+
 </body>
 </html>